## kodi-inputstream-adaptive 2.6.7+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(inputstream.adaptive)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

set(ADP_SOURCES
	src/main.cpp
	src/common/AdaptiveTree.cpp
	src/parser/DASHTree.cpp
	src/parser/HLSTree.cpp
	src/parser/SmoothTree.cpp
	src/parser/TTML.cpp
	src/parser/WebVTT.cpp
	src/parser/PRProtectionParser.cpp
	src/common/AdaptiveStream.cpp
	src/helpers.cpp
	src/oscompat.cpp
	src/TSReader.cpp
	src/aes_decrypter.cpp
	src/ADTSReader.cpp
	src/md5.cpp
	src/WebmReader.cpp
	)

set(ADP_HEADERS
	src/helpers.h
	src/main.h
	src/oscompat.h
	src/SSD_dll.h
	src/common/AdaptiveStream.h
	src/common/AdaptiveTree.h
	src/parser/DASHTree.h
	src/parser/HLSTree.h
	src/parser/SmoothTree.h
	src/parser/TTML.h
	src/parser/WebVTT.h
	src/parser/PRProtectionParser.h
	src/TSReader.h
	src/log.h
	src/aes_decrypter.h
	src/ADTSReader.h
	src/md5.h
	src/WebmReader.h
	)

if(WIN32)
  find_package(dlfcn-win32 REQUIRED)
  list(APPEND DEPLIBS ${dlfcn-win32_LIBRARIES})
  include_directories(${dlfcn-win32_INCLUDE_DIRS})
endif()

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR}
                    lib/libbento4/Core
                    lib/webm_parser/include
)

include(FindEXPAT)
find_package(EXPAT REQUIRED)
include_directories(${EXPAT_INCLUDE_DIRS})
list(APPEND DEPLIBS ${EXPAT_LIBRARIES})

if(WIN32)
  add_definitions(-DXML_STATIC -D_CRT_NONSTDC_NO_DEPRECATE)
  list(APPEND DEPLIBS ws2_32)
else()
  add_definitions(-D__STDC_FORMAT_MACROS)
endif()

add_definitions(-DUNICODE -D_UNICODE)

add_subdirectory(lib/mpegts)

add_subdirectory(lib/webm_parser)

if(CORE_SYSTEM_NAME STREQUAL ios OR CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  set(BENTOUSESTCFS 1)
  add_subdirectory(lib/libbento4)
else()
  add_subdirectory(wvdecrypter)
  set(ADP_ADDITIONAL_BINARY $<TARGET_FILE:ssd_wv>)
endif()

if(CORE_SYSTEM_NAME STREQUAL android)
  set(DECRYPTERPATH "special://xbmcbinaddons")
else()
  set(DECRYPTERPATH "special://home/cdm")
endif()

list(APPEND DEPLIBS bento4)
list(APPEND DEPLIBS mpegts)
list(APPEND DEPLIBS webm_parser)

build_addon(inputstream.adaptive ADP DEPLIBS)

include(CPack)

if(NOT CMAKE_CROSSCOMPILING)
  #Tests
  find_package( Threads )
  add_executable(Test_DashTree
    src/parser/DASHTreeTest.cpp
    src/parser/DASHTree.cpp
    src/parser/PRProtectionParser.cpp
    src/common/AdaptiveTree.cpp
    src/helpers.cpp
    src/oscompat.cpp
    )
  target_link_libraries(Test_DashTree ${EXPAT_LIBRARIES} Threads::Threads)

  enable_testing()

  add_test(6play_live Test_DashTree "${CMAKE_SOURCE_DIR}/src/parser/testfiles/6play.mpd")
endif()

=== debian/changelog ===
kodi-inputstream-adaptive (2.6.7+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.7+ds1
  * Update d/watch URL after IA moved to Kodi organization umbrella
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:38:40 +0000

kodi-inputstream-adaptive (2.6.6+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:48 +0000

kodi-inputstream-adaptive (2.6.6+ds1-1) experimental; urgency=medium

  * Initial upload (Closes: #977759)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 10 Jan 2021 19:55:56 +0100

=== debian/control ===
Source: kodi-inputstream-adaptive
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libexpat1-dev,
 libwebm-dev,
 pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git
Homepage: https://kodi.tv/

Package: kodi-inputstream-adaptive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:INPUTSTREAMAPI}
Description: Adaptive inputstream addon for Kodi
 This package allows playing HLS/DASH/smoothstream streams in Kodi.
 .
 It is part of the official kodi repository.
 .
 Its primary use is to play DRM-protected with decryptors supplied
 by other addons (like Netflix or other paid video services).

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-inputstream-adaptive 2.6.14+ds1

=== wvdecrypter/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    # require at least gcc 4.8
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
        message(FATAL_ERROR "GCC version must be at least 4.8!")
    endif()
endif()

project(wvdecrypter)

if(CORE_SYSTEM_NAME STREQUAL android)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--no-undefined")
  include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core
    jni/jutils
    jni/src
  )
else()
  include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core/
    ${CMAKE_CURRENT_SOURCE_DIR}/cdm
  )
endif()

set(BENTOUSESTCFS 1)

subdirs (
   ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4
)

if(CORE_SYSTEM_NAME STREQUAL android)
  subdirs ( jni )
  add_library ( ssd_wv SHARED
	wvdecrypter_android_jni.cpp
	jsmn.c
	../src/helpers.cpp
  ../src/md5.cpp
  )
else()
  if(WIN32)
    set(CDMTYPE "win.cc")
    add_definitions("-DWIDEVINECDMFILENAME=\"widevinecdm.dll\"")
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(CDMTYPE "mac.mm")
    add_definitions("-DWIDEVINECDMFILENAME=\"libwidevinecdm.dylib\"")
  else()
    set(CDMTYPE "posix.cc")
    add_definitions("-DWIDEVINECDMFILENAME=\"libwidevinecdm.so\"")
  endif()

  add_library ( ssd_wv SHARED
        wvdecrypter.cpp
        jsmn.c
        ../src/helpers.cpp
        ../src/md5.cpp
        cdm/base/native_library.cc
        cdm/base/native_library_${CDMTYPE}
        cdm/media/cdm/cdm_adapter.cc
  )
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  target_link_libraries (ssd_wv
    bento4
    "-framework CoreFoundation"
  )
elseif(CORE_SYSTEM_NAME STREQUAL android)
  target_link_libraries (ssd_wv
#    mediandk
    jni
    bento4
  )
else()
  target_link_libraries (ssd_wv
    ${CMAKE_DL_LIBS}
    bento4
  )
endif()

=== lib/libbento4/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libbento4)

include_directories (
	Core/
	Crypto/
	MetaData/
	Codecs/
)

add_definitions(-DAP4_PLATFORM_BYTE_ORDER=AP4_PLATFORM_BYTE_ORDER_LITTLE_ENDIAN)

if(WIN32)
	set(BENTOSYS "System/Win32/*.cpp")
	message(STATUS "BENTOSYS: WIN32")
else()
	set(BENTOSYS "System/Posix/*.cpp")
	message(STATUS "BENTOSYS: POSIX")
endif()

if(DEFINED BENTOUSESTCFS)
    set(BENTOFS "System/StdC/*.cpp")
else()
    set(BENTOFS "System/Kodi/*.cpp")
endif()

FILE(GLOB SOURCEFILES
    Codecs/*.cpp
    Core/*.cpp
    System/*.cpp
    ${BENTOSYS}
    Crypto/*.cpp
    ${BENTOFS}
    MetaData/*.cpp
)

add_library (bento4 STATIC ${SOURCEFILES})
set_target_properties(bento4 PROPERTIES POSITION_INDEPENDENT_CODE True)

=== debian/changelog ===
kodi-inputstream-adaptive (2.6.14+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 19:59:06 +0200

kodi-inputstream-adaptive (2.6.14+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.14+ds1 (Closes: #988862)
  * Fix github links in d/watch
  * Refresh patches
  * Add libgtest-dev to build-dep

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 09 May 2021 05:56:04 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-inputstream-adaptive 19.0.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(inputstream.adaptive)
+option(BUILD_TESTING "Build the testing tree." ON)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
@@ -41,6 +42,7 @@
 	src/log.h
 	src/aes_decrypter.h
 	src/ADTSReader.h
+	src/Iaes_decrypter.h
 	src/md5.h
 	src/WebmReader.h
 	)
@@ -52,10 +54,12 @@
 endif()
 
 include_directories(${INCLUDES}
-                    ${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                     lib/libbento4/Core
                     lib/webm_parser/include
 )
+
+set(CMAKE_FIND_FRAMEWORK LAST)
 
 include(FindEXPAT)
 find_package(EXPAT REQUIRED)
@@ -83,11 +87,7 @@
   set(ADP_ADDITIONAL_BINARY $<TARGET_FILE:ssd_wv>)
 endif()
 
-if(CORE_SYSTEM_NAME STREQUAL android)
-  set(DECRYPTERPATH "special://xbmcbinaddons")
-else()
-  set(DECRYPTERPATH "special://home/cdm")
-endif()
+set(DECRYPTERPATH "special://home/cdm")
 
 list(APPEND DEPLIBS bento4)
 list(APPEND DEPLIBS mpegts)
@@ -97,20 +97,11 @@
 
 include(CPack)
 
-if(NOT CMAKE_CROSSCOMPILING)
-  #Tests
-  find_package( Threads )
-  add_executable(Test_DashTree
-    src/parser/DASHTreeTest.cpp
-    src/parser/DASHTree.cpp
-    src/parser/PRProtectionParser.cpp
-    src/common/AdaptiveTree.cpp
-    src/helpers.cpp
-    src/oscompat.cpp
-    )
-  target_link_libraries(Test_DashTree ${EXPAT_LIBRARIES} Threads::Threads)
-
+if(NOT CMAKE_CROSSCOMPILING AND BUILD_TESTING)
+  list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
   enable_testing()
-
-  add_test(6play_live Test_DashTree "${CMAKE_SOURCE_DIR}/src/parser/testfiles/6play.mpd")
+  include(FindGtest)
+  find_package(Gtest REQUIRED)
+  include_directories(${GTEST_INCLUDE_DIRS})
+  add_subdirectory(src/test)
 endif()

=== lib/mpegts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mpegts)

include_directories ("${CMAKE_CURRENT_SOURCE_DIR}/.")

if(TSDEMUX_DEBUG)
  add_definitions(-DTSDEMUX_DEBUG)
endif(TSDEMUX_DEBUG)

add_library(mpegts STATIC
  elementaryStream.cpp
  bitstream.cpp
  ES_AC3.cpp
  ES_MPEGAudio.cpp
  ES_Subtitle.cpp
  ES_AAC.cpp
  ES_h264.cpp
  ES_MPEGVideo.cpp
  ES_Teletext.cpp
  ES_hevc.cpp
  debug.cpp
  tsDemuxer.cpp)

set_target_properties(mpegts PROPERTIES POSITION_INDEPENDENT_CODE True)

=== src/test/CMakeLists.txt ===
set(BINARY Test${CMAKE_PROJECT_NAME})

find_package( Threads )

add_executable(${BINARY}
    TestMain.cpp
    TestDASHTree.cpp
    TestHLSTree.cpp
    TestHelper.cpp
    ../parser/DASHTree.cpp
    ../parser/HLSTree.cpp
    ../parser/PRProtectionParser.cpp
    ../common/AdaptiveStream.cpp
    ../common/AdaptiveTree.cpp
    ../helpers.cpp
    ../oscompat.cpp
    )

target_link_libraries(${BINARY} PRIVATE ${EXPAT_LIBRARIES} ${GTEST_LIBRARIES} Threads::Threads ${CMAKE_DL_LIBS})

set(TEST_DATA_DIR "${CMAKE_SOURCE_DIR}/src/test/manifests")
add_test(NAME manifest_tests COMMAND ${BINARY} "${TEST_DATA_DIR}")

=== debian/changelog ===
kodi-inputstream-adaptive (19.0.0+ds1-2) unstable; urgency=medium

  * fix FTBFS on riscv64

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 28 Oct 2021 12:08:40 +0000

kodi-inputstream-adaptive (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:22 +0000

kodi-inputstream-adaptive (2.6.23+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.23+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:30:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  cmake,
  kodi-addons-dev (>= 2:19~),
  libexpat1-dev,
+ libgtest-dev (>= 1.10.0~),
  libwebm-dev,
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git

## kodi-inputstream-adaptive 19.0.4%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-inputstream-adaptive 19.0.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
+	src/common/AdaptiveDecrypter.h
 	src/common/AdaptiveStream.h
 	src/common/AdaptiveTree.h
 	src/parser/DASHTree.h

=== debian/changelog ===
kodi-inputstream-adaptive (19.0.4+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:32 +0000

kodi-inputstream-adaptive (19.0.4+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.4+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 29 Apr 2022 12:40:12 +0000

kodi-inputstream-adaptive (19.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.3+ds1
  * Modernize package
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 18:25:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libexpat1-dev,
  libgtest-dev (>= 1.10.0~),
  libwebm-dev,

## kodi-inputstream-adaptive 20.2.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(inputstream.adaptive)
option(BUILD_TESTING "Build the testing tree." ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

set(ADP_SOURCES
    src/AdaptiveByteStream.cpp
	src/main.cpp
	src/codechandler/AVCCodecHandler.cpp
	src/codechandler/CodecHandler.cpp
	src/codechandler/HEVCCodecHandler.cpp
	src/codechandler/MPEGCodecHandler.cpp
	src/codechandler/TTMLCodecHandler.cpp
	src/codechandler/VP9CodecHandler.cpp
	src/codechandler/WebVTTCodecHandler.cpp
	src/codechandler/ttml/TTML.cpp
	src/common/AdaptiveStream.cpp
	src/common/AdaptiveTree.cpp
	src/common/Chooser.cpp
	src/common/ChooserAskQuality.cpp
	src/common/ChooserDefault.cpp
	src/common/ChooserFixedRes.cpp
	src/common/ChooserManualOSD.cpp
	src/common/ChooserTest.cpp
	src/common/ReprSelector.cpp
	src/parser/DASHTree.cpp
	src/parser/HLSTree.cpp
	src/parser/SmoothTree.cpp
	src/parser/PRProtectionParser.cpp
	src/samplereader/ADTSSampleReader.cpp
	src/samplereader/FragmentedSampleReader.cpp
	src/samplereader/SubtitleSampleReader.cpp
	src/samplereader/TSSampleReader.cpp
	src/samplereader/WebmSampleReader.cpp
	src/utils/Base64Utils.cpp
	src/utils/DigestMD5Utils.cpp
	src/utils/PropertiesUtils.cpp
	src/utils/StringUtils.cpp
	src/utils/SettingsUtils.cpp
	src/utils/UrlUtils.cpp
	src/utils/Utils.cpp
	src/oscompat.cpp
	src/TSReader.cpp
	src/aes_decrypter.cpp
	src/ADTSReader.cpp
	src/WebmReader.cpp
	)

set(ADP_HEADERS
    src/AdaptiveByteStream.h
	src/main.h
	src/oscompat.h
	src/SSD_dll.h
	src/codechandler/AVCCodecHandler.h
	src/codechandler/CodecHandler.h
	src/codechandler/HEVCCodecHandler.h
	src/codechandler/MPEGCodecHandler.h
	src/codechandler/TTMLCodecHandler.h
	src/codechandler/VP9CodecHandler.h
	src/codechandler/WebVTTCodecHandler.h
	src/codechandler/ttml/TTML.h
    src/common/AdaptiveDecrypter.h
	src/common/AdaptiveStream.h
	src/common/AdaptiveTree.h
	src/common/Chooser.h
	src/common/ChooserAskQuality.h
	src/common/ChooserDefault.h
	src/common/ChooserFixedRes.h
	src/common/ChooserManualOSD.h
	src/common/ChooserTest.h
	src/common/ReprSelector.h
	src/parser/DASHTree.h
	src/parser/HLSTree.h
	src/parser/SmoothTree.h
	src/parser/PRProtectionParser.h
	src/samplereader/ADTSSampleReader.h
	src/samplereader/DummySampleReader.h
	src/samplereader/FragmentedSampleReader.h
	src/samplereader/SampleReader.h
	src/samplereader/SubtitleSampleReader.h
	src/samplereader/TSSampleReader.h
	src/samplereader/WebmSampleReader.h
	src/utils/Base64Utils.h
	src/utils/DigestMD5Utils.h
	src/utils/log.h
	src/utils/PropertiesUtils.h
	src/utils/SettingsUtils.h
	src/utils/StringUtils.h
	src/utils/UrlUtils.h
	src/utils/Utils.h
	src/TSReader.h
	src/aes_decrypter.h
	src/ADTSReader.h
	src/Iaes_decrypter.h
	src/WebmReader.h
	)

if(WIN32)
  find_package(dlfcn-win32 REQUIRED)
  list(APPEND DEPLIBS ${dlfcn-win32_LIBRARIES})
  include_directories(${dlfcn-win32_INCLUDE_DIRS})
endif()

include_directories(${INCLUDES}
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    lib/webm_parser/include
)

set(CMAKE_FIND_FRAMEWORK LAST)

find_package(EXPAT REQUIRED)
find_package(Bento4 REQUIRED)

if(WIN32)
  add_definitions(-DXML_STATIC -D_CRT_NONSTDC_NO_DEPRECATE)
  list(APPEND DEPLIBS ws2_32)
else()
  add_definitions(-D__STDC_FORMAT_MACROS)
endif()

add_definitions(-DUNICODE -D_UNICODE)

include_directories(${EXPAT_INCLUDE_DIRS})
list(APPEND DEPLIBS ${EXPAT_LIBRARIES})

if(CORE_SYSTEM_NAME STREQUAL ios OR CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  set(BENTOUSESTCFS 1)
  include_directories(${BENTO4_INCLUDE_DIRS})
else()
  add_subdirectory(wvdecrypter)
  set(ADP_ADDITIONAL_BINARY $<TARGET_FILE:ssd_wv>)
endif()

add_subdirectory(lib/mpegts)
add_subdirectory(lib/webm_parser)

if(ENABLE_INTERNAL_BENTO4)
  include_directories(${BENTO4_INCLUDE_DIRS})
  add_dependencies(ssd_wv bento4)
  add_dependencies(mpegts bento4)
  add_dependencies(webm_parser bento4)
endif()

set(DECRYPTERPATH "special://home/cdm")

list(APPEND DEPLIBS ${BENTO4_LIBRARIES})
list(APPEND DEPLIBS mpegts)
list(APPEND DEPLIBS webm_parser)

build_addon(inputstream.adaptive ADP DEPLIBS)

include(CPack)

if(NOT CMAKE_CROSSCOMPILING AND BUILD_TESTING)
  list(APPEND CMAKE_CTEST_ARGUMENTS "-V")
  enable_testing()
  include(FindGtest)
  find_package(Gtest REQUIRED)
  include_directories(${GTEST_INCLUDE_DIRS})
  add_subdirectory(src/test)
  if(ENABLE_INTERNAL_BENTO4)
    add_dependencies(${CMAKE_PROJECT_NAME}_test bento4)
  endif()
endif()

=== wvdecrypter/CMakeLists.txt ===
--- 
+++ 
@@ -9,33 +9,35 @@
 
 project(wvdecrypter)
 
+if(NOT BENTO4_FOUND)
+  find_package(Bento4 REQUIRED)
+endif()
+
 if(CORE_SYSTEM_NAME STREQUAL android)
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--no-undefined")
   include_directories (
-    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core
+    ${BENTO4_INCLUDE_DIRS}
     jni/jutils
     jni/src
   )
 else()
   include_directories (
-    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core/
+    ${BENTO4_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}/cdm
   )
 endif()
 
 set(BENTOUSESTCFS 1)
 
-subdirs (
-   ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4
-)
-
 if(CORE_SYSTEM_NAME STREQUAL android)
   subdirs ( jni )
   add_library ( ssd_wv SHARED
-	wvdecrypter_android_jni.cpp
+	wvdecrypter_android.cpp
 	jsmn.c
-	../src/helpers.cpp
-  ../src/md5.cpp
+    ../src/utils/Utils.cpp
+    ../src/utils/StringUtils.cpp
+    ../src/utils/Base64Utils.cpp
+    ../src/utils/DigestMD5Utils.cpp
   )
 else()
   if(WIN32)
@@ -52,8 +54,10 @@
   add_library ( ssd_wv SHARED
         wvdecrypter.cpp
         jsmn.c
-        ../src/helpers.cpp
-        ../src/md5.cpp
+        ../src/utils/Utils.cpp
+        ../src/utils/StringUtils.cpp
+        ../src/utils/Base64Utils.cpp
+        ../src/utils/DigestMD5Utils.cpp
         cdm/base/native_library.cc
         cdm/base/native_library_${CDMTYPE}
         cdm/media/cdm/cdm_adapter.cc
@@ -62,18 +66,18 @@
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   target_link_libraries (ssd_wv
-    bento4
+    ${BENTO4_LIBRARIES}
     "-framework CoreFoundation"
   )
 elseif(CORE_SYSTEM_NAME STREQUAL android)
   target_link_libraries (ssd_wv
 #    mediandk
     jni
-    bento4
+    ${BENTO4_LIBRARIES}
   )
 else()
   target_link_libraries (ssd_wv
     ${CMAKE_DL_LIBS}
-    bento4
+    ${BENTO4_LIBRARIES}
   )
 endif()

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
-set(BINARY Test${CMAKE_PROJECT_NAME})
+set(BINARY ${CMAKE_PROJECT_NAME}_test)
 
 find_package( Threads )
+
+add_definitions(-DINPUTSTREAM_TEST_BUILD)
 
 add_executable(${BINARY}
     TestMain.cpp
@@ -12,8 +14,20 @@
     ../parser/PRProtectionParser.cpp
     ../common/AdaptiveStream.cpp
     ../common/AdaptiveTree.cpp
-    ../helpers.cpp
+    ../common/Chooser.cpp
+    ../common/ChooserAskQuality.cpp
+    ../common/ChooserDefault.cpp
+    ../common/ChooserFixedRes.cpp
+    ../common/ChooserManualOSD.cpp
+    ../common/ChooserTest.cpp
+    ../common/ReprSelector.cpp
     ../oscompat.cpp
+    ../utils/Base64Utils.cpp
+    ../utils/PropertiesUtils.cpp
+    ../utils/SettingsUtils.cpp
+    ../utils/StringUtils.cpp
+    ../utils/UrlUtils.cpp
+    ../utils/Utils.cpp
     )
 
 target_link_libraries(${BINARY} PRIVATE ${EXPAT_LIBRARIES} ${GTEST_LIBRARIES} Threads::Threads ${CMAKE_DL_LIBS})

=== debian/changelog ===
kodi-inputstream-adaptive (20.2.0+ds1-1ubuntu1) kinetic; urgency=medium

  * debian/patches/byte-order-all-archs: fix endian detection to be
    portable to all glibs archs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2022 21:04:30 +0000

kodi-inputstream-adaptive (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 07:19:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kodi-inputstream-adaptive
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libexpat1-dev,
  libgtest-dev (>= 1.10.0~),
  libwebm-dev,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

# bento4

opts="component=bento4-embedded, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/axiomatic-systems/bento4/tags .*archive/refs/tags/v?(\d\S*)\.tar\.gz \
ignore

## kodi-inputstream-adaptive 20.3.1+ds1

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1
  * d/watch: Switch to git tags
  * Drop merged patches
  * Fix ppc64el regression (Closes: #1018203)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 16 Oct 2022 05:43:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kodi-inputstream-adaptive
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive \
refs/tags/@ANY_VERSION@-Nexus \
debian

# Bento4
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="component=bento4-embedded, \
      mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/Bento4 \
refs/tags/@ANY_VERSION@-Nexus \
ignore

## kodi-inputstream-adaptive 20.3.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
 set(ADP_SOURCES
     src/AdaptiveByteStream.cpp
 	src/main.cpp
+	src/codechandler/CodecHandler.cpp
+	src/codechandler/AV1CodecHandler.cpp
 	src/codechandler/AVCCodecHandler.cpp
-	src/codechandler/CodecHandler.cpp
 	src/codechandler/HEVCCodecHandler.cpp
 	src/codechandler/MPEGCodecHandler.cpp
 	src/codechandler/TTMLCodecHandler.cpp
@@ -37,12 +38,16 @@
 	src/samplereader/WebmSampleReader.cpp
 	src/utils/Base64Utils.cpp
 	src/utils/DigestMD5Utils.cpp
+	src/utils/MemUtils.cpp
 	src/utils/PropertiesUtils.cpp
 	src/utils/StringUtils.cpp
 	src/utils/SettingsUtils.cpp
 	src/utils/UrlUtils.cpp
 	src/utils/Utils.cpp
+	src/KodiHost.cpp
 	src/oscompat.cpp
+	src/Session.cpp
+	src/Stream.cpp
 	src/TSReader.cpp
 	src/aes_decrypter.cpp
 	src/ADTSReader.cpp
@@ -51,11 +56,13 @@
 
 set(ADP_HEADERS
     src/AdaptiveByteStream.h
+	src/CryptoMode.h
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
+	src/codechandler/CodecHandler.h
+	src/codechandler/AV1CodecHandler.h
 	src/codechandler/AVCCodecHandler.h
-	src/codechandler/CodecHandler.h
 	src/codechandler/HEVCCodecHandler.h
 	src/codechandler/MPEGCodecHandler.h
 	src/codechandler/TTMLCodecHandler.h
@@ -77,7 +84,6 @@
 	src/parser/SmoothTree.h
 	src/parser/PRProtectionParser.h
 	src/samplereader/ADTSSampleReader.h
-	src/samplereader/DummySampleReader.h
 	src/samplereader/FragmentedSampleReader.h
 	src/samplereader/SampleReader.h
 	src/samplereader/SubtitleSampleReader.h
@@ -85,12 +91,17 @@
 	src/samplereader/WebmSampleReader.h
 	src/utils/Base64Utils.h
 	src/utils/DigestMD5Utils.h
+	src/utils/FFmpeg.h
 	src/utils/log.h
+	src/utils/MemUtils.h
 	src/utils/PropertiesUtils.h
 	src/utils/SettingsUtils.h
 	src/utils/StringUtils.h
 	src/utils/UrlUtils.h
 	src/utils/Utils.h
+	src/KodiHost.h
+	src/Session.h
+	src/Stream.h
 	src/TSReader.h
 	src/aes_decrypter.h
 	src/ADTSReader.h

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,11 @@
     TestMain.cpp
     TestDASHTree.cpp
     TestHLSTree.cpp
+    TestSmoothTree.cpp
     TestHelper.cpp
     ../parser/DASHTree.cpp
     ../parser/HLSTree.cpp
+    ../parser/SmoothTree.cpp
     ../parser/PRProtectionParser.cpp
     ../common/AdaptiveStream.cpp
     ../common/AdaptiveTree.cpp

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.2+ds-1) unstable; urgency=medium

  * New upstream version 20.3.2+ds
  * Bump copyright years
  * d/watch: Fix repack suffix
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Jan 2023 18:32:16 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libgtest-dev (>= 1.10.0~),
  libwebm-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BENTO4_COMPONENT = bento4-embedded
BENTO4_URL = depends/common/bento4/bento4.tar.xz

%:
	dh $@

override_dh_auto_configure:
	#‌ basilgello: Embed Bento4 in more accountable manner,
	#‌ so Debian package follows upstream changes
	# TODO: upstream Kodi patches for Bento4
	tar -cf $(BENTO4_URL) $(BENTO4_COMPONENT)
	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
	# warning triggered by dh_configure unnecessarily overriding
	# install directory
	# -DUSE_LTO=0 disables LTO and makes build reproducible
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DENABLE_INTERNAL_BENTO4=1 \
            -DBENTO4_URL=${BENTO4_URL} \
            -DUSE_LTO=0

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/inputstream.adaptive \

## kodi-inputstream-adaptive 20.3.11+ds

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.11+ds-1) unstable; urgency=medium

  * New upstream version 20.3.11+ds
  * d/gbp.conf: Fix debian and upstream branches
  * Add GCC13 build fix (Closes: #1037712)
  * Build bento4 library out-of-tree (Closes: #1032413)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 06 Aug 2023 10:40:10 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BENTO4_COMPONENT = bento4-embedded

# bento4 configuration options
# basilgello: we build embedded libap4 as external to kodi-i-a
# because the kodi-i-a upstream requires us either to specify CMake
# toolchain file or build libap4 before kodi-i-a is configured
#
# Two CMake variables are injected into CMake cache to disable
# `find_library(BENTO4_LIBRARY` and `find_include_dir(BENTO4_INCLUDE_DIR`
# processing: BENTO4_LIBRARY and BENTO4_INCLUDE_DIR.
#
# See FindBento4.cmake and --trace-expand CMake log for
# the underlying logic
BENTO4_OPTS=\
-DCMAKE_INSTALL_PREFIX=/install \
-DCMAKE_INSTALL_INCLUDEDIR=include \
-DCMAKE_INSTALL_LIBDIR=lib \
-DBUILD_APPS=OFF

%:
	dh $@

bento4/install/lib/libap4.a:
	# Produce libap4.a for host architecture
	dh_auto_configure \
		--sourcedir "$(CURDIR)/$(BENTO4_COMPONENT)" \
		--builddir "$(CURDIR)/bento4/build" \
		-- $(BENTO4_OPTS)
	dh_auto_build \
		--sourcedir "$(CURDIR)/$(BENTO4_COMPONENT)" \
		--builddir "$(CURDIR)/bento4/build"
	dh_auto_install \
		--builddir "$(CURDIR)/bento4/build" \
		--destdir "$(CURDIR)/bento4"

override_dh_clean:
	dh_clean \
		bento4/

override_dh_auto_configure: bento4/install/lib/libap4.a
	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
	# warning triggered by dh_configure unnecessarily overriding
	# install directory
	# -DUSE_LTO=0 disables LTO and makes build reproducible
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DENABLE_INTERNAL_BENTO4=0 \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DBENTO4_LIBRARY:FILEPATH=$(CURDIR)/bento4/install/lib/libap4.a \
            -DBENTO4_INCLUDE_DIR:PATH=$(CURDIR)/bento4/install/include \
            -DUSE_LTO=0

## kodi-inputstream-adaptive 20.3.18+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	src/codechandler/VP9CodecHandler.cpp
 	src/codechandler/WebVTTCodecHandler.cpp
 	src/codechandler/ttml/TTML.cpp
+	src/common/AdaptiveCencSampleDecrypter.cpp
 	src/common/AdaptiveStream.cpp
 	src/common/AdaptiveTree.cpp
 	src/common/Chooser.cpp
@@ -38,6 +39,7 @@
 	src/samplereader/WebmSampleReader.cpp
 	src/utils/Base64Utils.cpp
 	src/utils/DigestMD5Utils.cpp
+	src/utils/FileUtils.cpp
 	src/utils/MemUtils.cpp
 	src/utils/PropertiesUtils.cpp
 	src/utils/StringUtils.cpp
@@ -55,8 +57,7 @@
 	)
 
 set(ADP_HEADERS
-    src/AdaptiveByteStream.h
-	src/CryptoMode.h
+	src/AdaptiveByteStream.h
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
@@ -69,7 +70,8 @@
 	src/codechandler/VP9CodecHandler.h
 	src/codechandler/WebVTTCodecHandler.h
 	src/codechandler/ttml/TTML.h
-    src/common/AdaptiveDecrypter.h
+	src/common/AdaptiveCencSampleDecrypter.h
+	src/common/AdaptiveDecrypter.h
 	src/common/AdaptiveStream.h
 	src/common/AdaptiveTree.h
 	src/common/Chooser.h
@@ -90,8 +92,10 @@
 	src/samplereader/TSSampleReader.h
 	src/samplereader/WebmSampleReader.h
 	src/utils/Base64Utils.h
+	src/utils/CryptoUtils.h
 	src/utils/DigestMD5Utils.h
 	src/utils/FFmpeg.h
+	src/utils/FileUtils.h
 	src/utils/log.h
 	src/utils/MemUtils.h
 	src/utils/PropertiesUtils.h

=== wvdecrypter/CMakeLists.txt ===
--- 
+++ 
@@ -28,10 +28,12 @@
 endif()
 
 set(BENTOUSESTCFS 1)
+add_definitions(-DINPUTSTREAM_SSD_BUILD)
 
 if(CORE_SYSTEM_NAME STREQUAL android)
   subdirs ( jni )
   add_library ( ssd_wv SHARED
+	Helper.cpp
 	wvdecrypter_android.cpp
 	jsmn.c
     ../src/utils/Utils.cpp
@@ -52,6 +54,7 @@
   endif()
 
   add_library ( ssd_wv SHARED
+        Helper.cpp
         wvdecrypter.cpp
         jsmn.c
         ../src/utils/Utils.cpp
@@ -61,6 +64,7 @@
         cdm/base/native_library.cc
         cdm/base/native_library_${CDMTYPE}
         cdm/media/cdm/cdm_adapter.cc
+        cdm/media/cdm/cdm_type_conversion.cc
   )
 endif()

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
     TestHLSTree.cpp
     TestSmoothTree.cpp
     TestHelper.cpp
+    TestUtils.cpp
     ../parser/DASHTree.cpp
     ../parser/HLSTree.cpp
     ../parser/SmoothTree.cpp
@@ -25,6 +26,7 @@
     ../common/ReprSelector.cpp
     ../oscompat.cpp
     ../utils/Base64Utils.cpp
+    ../utils/FileUtils.cpp
     ../utils/PropertiesUtils.cpp
     ../utils/SettingsUtils.cpp
     ../utils/StringUtils.cpp

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.18+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:15 +1100

kodi-inputstream-adaptive (20.3.18+ds-1) unstable; urgency=medium

  * New upstream version 20.3.18+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:00:21 +0000

kodi-inputstream-adaptive (20.3.17+ds-4) unstable; urgency=medium

  * Third attempt :)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 12:53:11 +0000

kodi-inputstream-adaptive (20.3.17+ds-3) unstable; urgency=high

  * Second attempt to fix builds

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 12:14:19 +0000

kodi-inputstream-adaptive (20.3.17+ds-2) unstable; urgency=high

  * Fix build on armel/s390x/m68k/powerpc/sh4

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 09:46:25 +0000

kodi-inputstream-adaptive (20.3.17+ds-1) unstable; urgency=medium

  * New upstream version 20.3.17+ds
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kodi-inputstream-adaptive
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),

## kodi-inputstream-adaptive 21.5.2+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:03 +0000

kodi-inputstream-adaptive (21.5.2+ds-1) unstable; urgency=medium

  * New upstream version 21.5.2+ds
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 06:02:45 +0000

kodi-inputstream-adaptive (21.5.1+ds-1) unstable; urgency=medium

  * New upstream version 21.5.1+ds
  * Bump standards version to 4.7.0 (no changes required)
  * Add new build-depends
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:42 +0000

kodi-inputstream-adaptive (21.4.3+ds-1) experimental; urgency=medium

  * New upstream version 21.4.3+ds
  * Branch out experimental
  * Modernize package
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:19 +0000

## kodi-inputstream-adaptive 21.5.5+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.5+ds-1) unstable; urgency=medium

  * d/copyright: Drop refs to files no more in source tree
  * New upstream version 21.5.5+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 13 Oct 2024 07:20:50 +0000

kodi-inputstream-adaptive (21.5.4+ds-1) unstable; urgency=high

  * New upstream version 21.5.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:42:53 +0000

kodi-inputstream-adaptive (21.5.2+ds-3) unstable; urgency=critical

  * Add build config for m68k

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 21 Aug 2024 16:56:03 +0000

## kodi-inputstream-adaptive 21.5.7+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.7+ds-1) unstable; urgency=medium

  * New upstream version 21.5.7+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:27:50 +0000

## kodi-inputstream-adaptive 21.5.9+ds

=== lib/cdm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(cdm_library)

if(WIN32)
  set(CDMTYPE "win.cc")
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(CDMTYPE "mac.mm")
else()
  set(CDMTYPE "posix.cc")
endif()

add_library(cdm_library STATIC
  cdm/base/native_library.cc
  cdm/base/native_library_${CDMTYPE}
  cdm/media/cdm/cdm_adapter.cc
  cdm/media/cdm/cdm_adapter.h
)

target_include_directories(cdm_library PUBLIC ${PROJECT_SOURCE_DIR})

set_target_properties(cdm_library PROPERTIES POSITION_INDEPENDENT_CODE True)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  target_link_libraries(cdm_library "-framework CoreFoundation")
endif()

source_group_by_folder(cdm_library)

=== src/codechandler/CMakeLists.txt ===
set(SOURCES
  CodecHandler.cpp
  AudioCodecHandler.cpp
  AV1CodecHandler.cpp
  AVCCodecHandler.cpp
  HEVCCodecHandler.cpp
  TTMLCodecHandler.cpp
  VP9CodecHandler.cpp
  WebVTTCodecHandler.cpp
  ttml/TTML.cpp
)

set(HEADERS
  CodecHandler.h
  AudioCodecHandler.h
  AV1CodecHandler.h
  AVCCodecHandler.h
  HEVCCodecHandler.h
  TTMLCodecHandler.h
  VP9CodecHandler.h
  WebVTTCodecHandler.h
  ttml/TTML.h
)

add_dir_sources(SOURCES HEADERS)

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.9+ds-1) unstable; urgency=high

  * New upstream version 21.5.9+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:13 +0000

## kodi-inputstream-adaptive 21.5.16%2Bds

=== lib/cdm_aarch64/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(cdm_aarch64_loader)

add_library(cdm_aarch64_loader SHARED
  cdm_loader.cpp
)

set_target_properties(cdm_aarch64_loader PROPERTIES POSITION_INDEPENDENT_CODE True)

=== lib/jni/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jni)

add_library(jni STATIC
  jni/jutils/jutils-details.hpp
  jni/jutils/jutils.cpp
  jni/jutils/jutils.hpp
  jni/src/ClassLoader.cpp
  jni/src/ClassLoader.h
  jni/src/ClassLoader.cpp
  jni/src/HashMap.cpp
  jni/src/HashMap.h
  jni/src/JNIBase.cpp
  jni/src/JNIBase.h
  jni/src/Log.h
  jni/src/MediaDrm.cpp
  jni/src/MediaDrm.h
  jni/src/MediaDrmKeyRequest.cpp
  jni/src/MediaDrmKeyRequest.h
  jni/src/MediaDrmOnEventListener.cpp
  jni/src/MediaDrmOnEventListener.h
  jni/src/MediaDrmProvisionRequest.cpp
  jni/src/MediaDrmProvisionRequest.h
  jni/src/UUID.cpp
  jni/src/UUID.h
)

target_include_directories(jni PUBLIC ${PROJECT_SOURCE_DIR} PRIVATE ${PROJECT_SOURCE_DIR}/jni/jutils)

source_group_by_folder(jni)
